org.pcollections

## Class HashTreePMap

- java.lang.Object
- - org.pcollections.HashTreePMap

    public final class HashTreePMap
    extends Object

A static convenience class for creating efficient persistent maps.

This class simply creates HashPMaps backed by IntTreePMaps.

### Method Summary

Methods
`static <K,V> HashPMap<K,V>` `empty()`
`static <K,V> HashPMap<K,V>` `from(Map<? extends K,? extends V> map)`
`static <K,V> HashPMap<K,V>` `singleton(K key, V value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### empty

    public static <K,V> HashPMap<K,V> empty()

Type Parameters:
  `K` -
  `V` -
Returns:
  an empty map

#### singleton

    public static <K,V> HashPMap<K,V> singleton(K key,
                                V value)

Type Parameters:
  `K` -
  `V` -
Parameters:
  `key` -
  `value` -
Returns:
  empty().plus(key, value)

#### from

    public static <K,V> HashPMap<K,V> from(Map<? extends K,? extends V> map)

Type Parameters:
  `K` -
  `V` -
Parameters:
  `map` -
Returns:
  empty().plusAll(map)

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015